> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://mezmo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mezmo.ferndocs.com/_mcp/server.

# Retrieve account usage totals

GET https://api.mezmo.com/v2/usage

Get aggregated usage information for an account's data during a time period.

Reference: https://mezmo.ferndocs.com/api-reference/log-analysis/usage-v-2/list-usage-v-2

## Authentication

- `Authorization` header (required) — This key is used for all apis with the exception of ingest. You can obtain it following [these instructions](https://docs.mezmo.com/docs/ingestion-key) and placing the key in the header of your call in the format of `Authorization: Token {accesstoken}` For example: ``` curl -H 'Authorization: Token <ACCESS TOKEN>' ```
- `servicekey` header (required) — (Deprecated) This key is used for v1 and v2 apis with the exception of ingest. Service keys can be used by placing your service key in the `Authorization` header of your api call. *NOTE* Usage of the service key auth mechanism has been deprecated in favor of IAM Access Tokens. Service keys can no longer be created, but can still be used for v1 and v2 apis while the transition takes place

## Request

### Query parameters

- `from` (string, required) — Start time. A date-time string as defined by the ISO 8601 date format. This date-time will be used to calculate the starting day; the exact time will not be used.
- `to` (string, required) — End time. A date-time string as defined by the ISO 8601 date format. This date-time will be used to calculate the ending day; the exact time will not be used.

## Response

### 200

OK

- `from` (string, optional) — The calculated starting time (exclusive) used internally.
- `to` (string, optional) — The calculated ending time (exclusive) used internally.
- `results` (V2UsageGetResponsesContentApplicationJsonSchemaResults, optional)

## Errors

### 400 Bad Request Error

Bad request

- `code` (string, optional)
- `error` (string, optional) — Message indicating why the request is bad.
- `status` (string, optional)

## Types

### V2UsageGetResponsesContentApplicationJsonSchemaResults

- `plan_bytes` (double, optional)
- `restored_bytes` (double, optional)
- `xd_vr_bytes` (double, optional) — The number of bytes of logs stored for this variable retention type where x is 3, 7, 14, or 30 day

## Examples

**Response**

```json
{
  "from": "2022-12-31T23:59:59.999Z",
  "to": "2023-02-01T00:00:00.000Z",
  "results": {
    "plan_bytes": 123000,
    "restored_bytes": 1000,
    "7d_vr_bytes": 1000
  }
}
```

**SDK Code**

```python Usage v2_list-usage-v2_example
import requests

url = "https://api.mezmo.com/v2/usage"

querystring = {"from":"2023-01-01T12:00:00-05:00","to":"2023-01-01T12:00:00-05:00"}

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Usage v2_list-usage-v2_example
const url = 'https://api.mezmo.com/v2/usage?from=2023-01-01T12%3A00%3A00-05%3A00&to=2023-01-01T12%3A00%3A00-05%3A00';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Usage v2_list-usage-v2_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.mezmo.com/v2/usage?from=2023-01-01T12%3A00%3A00-05%3A00&to=2023-01-01T12%3A00%3A00-05%3A00"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Usage v2_list-usage-v2_example
require 'uri'
require 'net/http'

url = URI("https://api.mezmo.com/v2/usage?from=2023-01-01T12%3A00%3A00-05%3A00&to=2023-01-01T12%3A00%3A00-05%3A00")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Usage v2_list-usage-v2_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.mezmo.com/v2/usage?from=2023-01-01T12%3A00%3A00-05%3A00&to=2023-01-01T12%3A00%3A00-05%3A00")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php Usage v2_list-usage-v2_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.mezmo.com/v2/usage?from=2023-01-01T12%3A00%3A00-05%3A00&to=2023-01-01T12%3A00%3A00-05%3A00', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Usage v2_list-usage-v2_example
using RestSharp;

var client = new RestClient("https://api.mezmo.com/v2/usage?from=2023-01-01T12%3A00%3A00-05%3A00&to=2023-01-01T12%3A00%3A00-05%3A00");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Usage v2_list-usage-v2_example
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.mezmo.com/v2/usage?from=2023-01-01T12%3A00%3A00-05%3A00&to=2023-01-01T12%3A00%3A00-05%3A00")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```